
_Text_To_Uart1:

;test1.c,7 :: 		void Text_To_Uart1(unsigned char *m)
;test1.c,9 :: 		while (*m)
L_Text_To_Uart10:
	MOVF       FARG_Text_To_Uart1_m+0, 0
	MOVWF      FSR0L
	MOVF       FARG_Text_To_Uart1_m+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Text_To_Uart11
;test1.c,11 :: 		Uart1_Write(*m);
	MOVF       FARG_Text_To_Uart1_m+0, 0
	MOVWF      FSR0L
	MOVF       FARG_Text_To_Uart1_m+1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;test1.c,12 :: 		m++;
	INCF       FARG_Text_To_Uart1_m+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_Text_To_Uart1_m+1, 1
;test1.c,13 :: 		}
	GOTO       L_Text_To_Uart10
L_Text_To_Uart11:
;test1.c,14 :: 		}
L_end_Text_To_Uart1:
	RETURN
; end of _Text_To_Uart1

_interrupt:
	CLRF       PCLATH+0
	CLRF       STATUS+0

;test1.c,16 :: 		void interrupt ()
;test1.c,19 :: 		if(PIR1.TMR1GIF)
	BTFSS      PIR1+0, 7
	GOTO       L_interrupt2
;test1.c,21 :: 		PIR1.TMR1GIF=0;
	BCF        PIR1+0, 7
;test1.c,22 :: 		intcon.TMR0IF=0;
	BCF        INTCON+0, 2
;test1.c,23 :: 		intcon.TMR0IE=0;
	BCF        INTCON+0, 5
;test1.c,24 :: 		PIR1.TMR1IF=0;
	BCF        PIR1+0, 0
;test1.c,25 :: 		T1CON.TMR1ON = 0; // Stop Timer1
	BCF        T1CON+0, 0
;test1.c,27 :: 		if (cnt % 2)
	BTFSS      _cnt+0, 0
	GOTO       L_interrupt3
;test1.c,29 :: 		value1 = TMR1L + (unsigned int)(TMR1H << 8);
	MOVF       TMR1H+0, 0
	MOVWF      R1
	CLRF       R0
	MOVF       TMR1L+0, 0
	ADDWF      R0, 0
	MOVWF      _value1+0
	MOVLW      0
	ADDWFC     R1, 0
	MOVWF      _value1+1
;test1.c,34 :: 		}
L_interrupt3:
;test1.c,35 :: 		cnt++;
	INCF       _cnt+0, 1
	BTFSC      STATUS+0, 2
	INCF       _cnt+1, 1
;test1.c,36 :: 		TMR1L = 0x00; // Reset Timer1
	CLRF       TMR1L+0
;test1.c,37 :: 		TMR1H = 0x00;
	CLRF       TMR1H+0
;test1.c,38 :: 		TMR0 = 0;
	CLRF       TMR0+0
;test1.c,39 :: 		T1CON.TMR1ON = 1; // Restart Timer1
	BSF        T1CON+0, 0
;test1.c,40 :: 		intcon.TMR0IE=1;
	BSF        INTCON+0, 5
;test1.c,41 :: 		}
L_interrupt2:
;test1.c,42 :: 		}
L_end_interrupt:
L__interrupt10:
	RETFIE     %s
; end of _interrupt

_main:

;test1.c,47 :: 		void main()
;test1.c,50 :: 		UART1_Init(9600);
	BSF        BAUDCON+0, 3
	MOVLW      103
	MOVWF      SPBRG+0
	MOVLW      0
	MOVWF      SPBRG+1
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;test1.c,51 :: 		TRISB = 0b00000010;
	MOVLW      2
	MOVWF      TRISB+0
;test1.c,52 :: 		TRISC = 0b10000000;
	MOVLW      128
	MOVWF      TRISC+0
;test1.c,54 :: 		ANSELB = 0b00000010; // CPS1 initialized as analog inputs
	MOVLW      2
	MOVWF      ANSELB+0
;test1.c,55 :: 		ADCON0=0;
	CLRF       ADCON0+0
;test1.c,58 :: 		WPUB=0;
	CLRF       WPUB+0
;test1.c,59 :: 		CPSCON0 = 0b10001100; // Cap sense on, high range oscillator,      10001100
	MOVLW      140
	MOVWF      CPSCON0+0
;test1.c,60 :: 		CPSCON1 = 0b00000001; // Cap sense channel input CPS1 is selected
	MOVLW      1
	MOVWF      CPSCON1+0
;test1.c,62 :: 		OPTION_REG = 0b11000001; // fosc/4, hi-lo edge transition, 1:128 prescaler   11000011
	MOVLW      193
	MOVWF      OPTION_REG+0
;test1.c,63 :: 		intcon.GIE = 1;
	BSF        INTCON+0, 7
;test1.c,64 :: 		intcon.TMR0IF = 0; // clear TMR0 interrupt flag
	BCF        INTCON+0, 2
;test1.c,65 :: 		intcon.TMR0IE = 1; // enable TMR0 interrupt
	BSF        INTCON+0, 5
;test1.c,67 :: 		T1CON = 0b11000101; // Timer1 initialization     11000101
	MOVLW      197
	MOVWF      T1CON+0
;test1.c,68 :: 		T1GCON = 0b11100001; // Timer1 gate init /Toggle Mode/TMR0 time base
	MOVLW      225
	MOVWF      T1GCON+0
;test1.c,69 :: 		PIR1.TMR1GIF = 0; // Clear Gate Interrupt Flag
	BCF        PIR1+0, 7
;test1.c,70 :: 		PIE1.TMR1GIE = 1; // Enable Gate Interrupt
	BSF        PIE1+0, 7
;test1.c,73 :: 		while (1)
L_main4:
;test1.c,85 :: 		if  (value1  < 150 )
	MOVLW      0
	SUBWF      _value1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main12
	MOVLW      150
	SUBWF      _value1+0, 0
L__main12:
	BTFSC      STATUS+0, 0
	GOTO       L_main6
;test1.c,87 :: 		RC0_bit=1;
	BSF        RC0_bit+0, 0
;test1.c,88 :: 		}
	GOTO       L_main7
L_main6:
;test1.c,91 :: 		RC0_bit=0;
	BCF        RC0_bit+0, 0
;test1.c,92 :: 		}
L_main7:
;test1.c,93 :: 		}
	GOTO       L_main4
;test1.c,95 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
